summaryrefslogtreecommitdiffstats
path: root/development/empty
diff options
context:
space:
mode:
author Menno E. Duursma <druiloor@zonnet.nl>2010-05-11 22:53:30 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:30 +0200
commit323b711aaab998d7c49154242d50a153541cc993 (patch)
tree7545b3f17ede55628caa3fa432c3689a7623aa8c /development/empty
parente28d49dce45143dd546823081188c941ae4721c2 (diff)
downloadslackbuilds-323b711aaab998d7c49154242d50a153541cc993.tar.gz
slackbuilds-323b711aaab998d7c49154242d50a153541cc993.tar.xz
development/empty: Added to 12.1 repository
Diffstat (limited to 'development/empty')
-rw-r--r--development/empty/README12
-rw-r--r--development/empty/empty.SlackBuild79
-rw-r--r--development/empty/empty.info8
-rw-r--r--development/empty/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/development/empty/README b/development/empty/README
new file mode 100644
index 0000000000..e7f534f0dd
--- /dev/null
+++ b/development/empty/README
@@ -0,0 +1,12 @@
+Empty - an expectlike tool to run command-line interactive programs in
+UNIX shell-scripts
+
+empty is an utility that provides an interface to execute and/or interact
+with processes under pseudo-terminal sessions (PTYs). It can be used to
+automate otherwise interactive programs like telnet, ssh, and ftp. In
+some cases empty can be the simplest replacement for TCL/expect or other
+(similar) programming tools.
+
+Somewhat similar in functionality also to POTS modem chat(8) or the
+scripting capabilities of minicom(1) however its small and general
+purpose.
diff --git a/development/empty/empty.SlackBuild b/development/empty/empty.SlackBuild
new file mode 100644
index 0000000000..c5800d2380
--- /dev/null
+++ b/development/empty/empty.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for Empty
+# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
+PRGNAM=empty
+VERSION=${VERSION:-0.6.15b}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp} # Drop the package in /tmp
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Modify the installation target location
+sed -i -e "s#^\(PREFIX =\).*#\1 $PKG/usr#" Makefile
+
+# Build/install/strip
+CFLAGS="$SLKCFLAGS" \
+make all install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Compress man pages
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+ done
+)
+
+# Copy program documentation into the package
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-Z][A-Z]* examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README$TAG
+
+# Although the 'examples' are usable scripts, consider them docs here
+cp -a examples $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+# Copy the slack-desc (and a custom doinst.sh if necessary) into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Make the package; be sure to leave it in $OUTPUT
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/empty/empty.info b/development/empty/empty.info
new file mode 100644
index 0000000000..f196d949d4
--- /dev/null
+++ b/development/empty/empty.info
@@ -0,0 +1,8 @@
+PRGNAM="empty"
+VERSION="0.6.15b"
+HOMEPAGE="http://empty.sourceforge.net/"
+DOWNLOAD="http://dl.sourceforge.net/sourceforge/empty/empty-0.6.15b.tgz"
+MD5SUM="e56d0d81e5e40b1c41c4b9ed74a1edd8"
+MAINTAINER="Menno E. Duursma"
+EMAIL="druiloor@zonnet.nl"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/development/empty/slack-desc b/development/empty/slack-desc
new file mode 100644
index 0000000000..09934582ff
--- /dev/null
+++ b/development/empty/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+empty: Empty (automate otherwise interactive sessions)
+empty:
+empty: empty is an utility that provides an interface to execute and/or
+empty: interact with processes under pseudo-terminal sessions (PTYs).
+empty:
+empty: empty was written by Mikhail E. Zakharov
+empty:
+empty:
+empty:
+empty:
+empty: